Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024631
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2013-08-30 10:222013-09-17 19:01
ReporterVictorVillarView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision668effe90d34
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024631: Physical inventory should not generate transactions under some circunstancies

DescriptionPhysical inventory should not generate transactions when the Book qty and the Qty Count are equals, it means, the movement qty = 0
Steps To ReproduceAs group admin role,
Go to Physical inventory window,
    Create one register for EspaƱa
       Lines tab:
            Select Agua and save.
Realise that the qty count and the book qty are the same.
Process it.

Go to Transaction tab in the product window for 'Agua' product:
   Realise that there is a transaction register with movement qty = 0
In this case there is not warehouse movement so, that transaction register should not be created.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00265143.0PR14Q3 closedrafaroda Production Runs with 0 quantity in the Product tab should not generate an entry in the M_TRANSACTION tab 

-  Notes
(0060892)
hgbot (developer)
2013-09-03 13:16

Repository: erp/devel/pi
Changeset: 668effe90d34780551c9f1de1285022fc505ec66
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Sep 03 13:15:33 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/668effe90d34780551c9f1de1285022fc505ec66 [^]

fixes issue 24631: Physical inventory should not generate
transactions under some circunstancies

---
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0061069)
VictorVillar (developer)
2013-09-11 01:19

Verified
(0061207)
hudsonbot (developer)
2013-09-17 19:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-30 10:22 VictorVillar New Issue
2013-08-30 10:22 VictorVillar Assigned To => dmiguelez
2013-08-30 10:22 VictorVillar Modules => Core
2013-08-30 10:22 VictorVillar Triggers an Emergency Pack => No
2013-08-30 10:22 VictorVillar Issue Monitored: networkb
2013-09-02 06:27 anherzog Issue Monitored: anherzog
2013-09-03 09:35 jonalegriaesarte Assigned To dmiguelez => caristu
2013-09-03 13:16 hgbot Checkin
2013-09-03 13:16 hgbot Note Added: 0060892
2013-09-03 13:16 hgbot Status new => resolved
2013-09-03 13:16 hgbot Resolution open => fixed
2013-09-03 13:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/668effe90d34780551c9f1de1285022fc505ec66 [^]
2013-09-11 01:19 VictorVillar Review Assigned To => VictorVillar
2013-09-11 01:19 VictorVillar Note Added: 0061069
2013-09-11 01:19 VictorVillar Status resolved => closed
2013-09-17 19:01 hudsonbot Checkin
2013-09-17 19:01 hudsonbot Note Added: 0061207
2014-05-12 19:34 ngarcia Relationship added related to 0026514


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker